# $Revision: 1.36 $, $Date: 2012/03/25 20:36:35 $
%define		status		beta
%define		pearname	Structures_DataGrid
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - create grid like structure based on a record set of data
Summary(pl.UTF-8):	%{pearname} - tworzenie struktur tabel opartych na zbiorze rekordów danych
Name:		php-pear-%{pearname}
Version:	0.9.3
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	108ed5caedb4b3634e214af9cb7dd968
URL:		http://pear.php.net/package/Structures_DataGrid/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear >= 4:1.0-9.5
Requires:	php-pear-PEAR-core >= 1:1.4.9
Suggests:	php-pear-File
Suggests:	php-pear-Net_URL_Mapper
Suggests:	php-pear-PHPUnit
Suggests:	php-sqlite
Obsoletes:	php-pear-Structures_DataGrid-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(File.*) pear(Net/URL/Mapper.*) pear(PHPUnit.*)

%description
This package offers a toolkit to render out a datagrid in HTML format
as well as many other formats such as an XML Document, an Excel
Spreadsheet, a Smarty Template and more. It also offers paging and
sorting functionality to limit the data that is presented. This
concept is based on the .NET Framework DataGrid.

Note: With the release of Structures_DataGrid-0.7.0, all renderers and
datasource classes are now available as a separate packages only.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Ten pakiet oferuje zestaw narzędzi do renderowania tabel z danymi w
formacie HTML, a także innych formatach, takich jak np. dokumenty XML,
arkusze Excela czy szablony Smarty. Oferuje także funkcjonalność
stronicowania i sortowania, aby ograniczyć ilość prezentowanych
danych. Ta idea jest oparta na DataGrid ze środowiska .NET.

Uwaga: Z wydaniem wersji Structures_DataGrid-0.7.0, wszystkie klasy
służące do renderowania czy też do obsługi źródeł danych dostępne są
tylko jako oddzielne pakiety.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/Structures/DataGrid/{Renderer,DataSource}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Structures/DataGrid.php
%dir %{php_pear_dir}/Structures/DataGrid
%{php_pear_dir}/Structures/DataGrid/Column.php
%{php_pear_dir}/Structures/DataGrid/DataSource.php
%{php_pear_dir}/Structures/DataGrid/Exception.php
%{php_pear_dir}/Structures/DataGrid/Renderer.php
%dir %{php_pear_dir}/Structures/DataGrid/Renderer
%dir %{php_pear_dir}/Structures/DataGrid/DataSource

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Structures_DataGrid.spec,v $
Revision 1.36  2012/03/25 20:36:35  glen
- up to 0.9.3

Revision 1.35  2011/01/23 01:22:35  sparky
- tests are no longer installed - don't try to remove them

Revision 1.34  2010/10/11 11:31:32  glen
- up to 0.9.1-dev1

Revision 1.33  2010/08/21 19:08:58  glen
- updated deps with pearize.sh
- release 3

Revision 1.32  2008/01/31 12:16:10  glen
- rel 2

Revision 1.31  2007-12-22 23:40:16  adamg
- updated to 0.9.0
- tests subpackage

Revision 1.30  2007/06/21 14:38:06  glen
- updated to 0.8.3; fixed packaging

Revision 1.29  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.28  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.27  2006/12/30 11:32:36  adamg
- updated to 0.8.0

Revision 1.26  2006/11/08 20:26:36  glen
- package /usr/share/pear/Structures/DataGrid/Renderer dir; rel 2

Revision 1.25  2006/06/22 07:36:26  adamg
- updated to 0.7.1

Revision 1.24  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.23  2006/04/02 12:05:51  qboosh
- unified (clean before post)

Revision 1.22  2006/04/02 12:02:47  glen
- 0.6.3

Revision 1.21  2006/03/29 22:29:44  glen
- rel 6 (rebuild with less deps)

Revision 1.20  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.19  2006/02/16 18:56:36  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.18  2005/10/30 23:00:19  glen
- Structures dir is in php-pear

Revision 1.17  2005/10/05 20:59:49  glen
- rel 4

Revision 1.16  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.15  2005/09/29 19:21:18  glen
- fixed include path; rel 3

Revision 1.14  2005/09/29 19:05:47  glen
- new pear packaging
- NOTE: %files have been fixed
- rel 2

Revision 1.13  2005/02/05 19:41:28  adamg
- updated to 0.6.2

Revision 1.12  2004/12/21 23:05:08  adamg
- updated to 0.6.0 (beta)
- dropped Requires: php-pear-Pager - it is generated automatically

Revision 1.11  2004/12/05 12:22:57  adamg
- _noautoreqdep for 'pear(Smarty/Smarty.class.php)'
- release 3

Revision 1.10  2004/12/04 14:21:00  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.9  2004/12/01 15:16:49  krzak
- Requires: php-pear-Pager

Revision 1.8  2004/10/31 21:53:11  paladine
- spaces->tabs
- formatting

Revision 1.7  2004/08/11 19:23:29  adamg
- updated to 0.5.3

Revision 1.6  2004/07/08 19:38:11  adamg
- updated to 0.5.1

Revision 1.5  2004/05/30 13:13:52  adamg
- fixed english information about status of the package

Revision 1.4  2004/05/04 07:12:24  adamg
- updated to 0.5

Revision 1.3  2004/03/18 20:42:36  qboosh
- pl

Revision 1.2  2004/03/17 21:43:34  adamg
- URL fixed

Revision 1.1  2004/03/17 21:27:59  adamg
- initial import
